Bug 977537 - No way to specify a MAC address using virt-sandbox-service
No way to specify a MAC address using virt-sandbox-service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt-sandbox (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 16:13 EDT by Martin Jenner
Modified: 2013-10-18 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: libvirt-sandbox-0.2.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jenner 2013-06-24 16:13:57 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:10.0.11) Gecko/20121116 Firefox/10.0.11
Build Identifier: 

Currently there is no way with the current virt-sandbox-service command -N NETWORK, --network NETWORK switch to specify a MAC address when crearting a container, not having this ability means you cannot set the hostname for a network interface to use DHCP/IP lookup services.


Reproducible: Always
Comment 1 Martin Jenner 2013-06-24 16:16:34 EDT
Use DHCP/IP lookup services to map the MAC to a fixed IP address.
Comment 2 Daniel Berrange 2013-07-09 07:20:40 EDT
commit e799f01b5ddb2c5182f6f2a668638292d1bbcbb8
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Tue Jul 9 12:19:05 2013 +0100

    Add support for configuring NIC mac addresses
    
    Allow config of NIC mac addresses via a 'mac' parameter on
    the command line eg
    
      virt-sandbox -c qemu:///session -N mac=02:04:05:05:05:06 /bin/sh
    
    (and also for virt-sandbox-service)
    
    Signed-off-by: Daniel P. Berrange <berrange@redhat.com>
Comment 3 Cole Robinson 2013-09-03 12:37:47 EDT
Dan, any plans to push the latest libvirt-sandbox release with all these bug fixes to F18/F19 ?
Comment 4 Fedora Update System 2013-10-01 11:53:56 EDT
libvirt-sandbox-0.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-sandbox-0.2.0-2.fc19
Comment 5 Fedora Update System 2013-10-02 02:46:03 EDT
Package libvirt-sandbox-0.2.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-sandbox-0.2.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18111/libvirt-sandbox-0.2.0-2.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-18 15:58:11 EDT
libvirt-sandbox-0.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.